Uploaded image for project: 'Website'
  1. Website
  2. WEBSITE-1351

Broken install - phpBB 3.2.x Download instructions missing

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Component/s: Downloads Page
    • Environment:
      Environment: localhost (testing)
      OS: Linux (Fedora 28)
      Database: PostgreSQL 10.5
      PHP version: 7.1.17

      Description

      My upgrade from 3.2.2 to 3.2.3 was first attempted using the Automatic Update as described in Download phpBB^®^ 3.2. The update process failed and I requested support in Update from phpBB 3.2.2 to 3.2.3 - database does not go offline. The solution was to not use the automatic update package, but instead follow the procedure in the Knowledge Base article Updating 3.2.x.

      If the automatic update package does not work for every configuration, please document this issue in the site's download page.

      -------
      I recommend adding a second paragraph to the Automatic Update tab as follows:

      From:

      This update package supplies the automatic updater, which is capable of updating modified installations. This is the package that most users should download to update their forums. If you have made no changes, you can use the 'Changed Files' package instead.

      To:

      This update package supplies the automatic updater, which is capable of updating modified installations. This is the package that most users should download to update their forums. If you have made no changes, you can use the 'Changed Files' package instead.

      Some users of phpBB 3.2.x may experience problems upgrading from an earlier version of 3.2.x. Please update your board as described in Knowledge Base - Updating 3.2.x.


      I also recommend updating the Patch Files tab as follows (the patch file did not work):

      From:

      This update package provides .patch files containing changes made from previous versions of phpBB. This package should only be used if you are familiar and confident with patching.

      To:

      Some users of phpBB 3.2.x may experience problems upgrading from an earlier version of 3.2.x. Please update your board as described in Knowledge Base - Updating 3.2.x.

        Attachments

          Activity

            People

            • Assignee:
              Noxwizard Patrick Webster
              Reporter:
              Lady_G Lady_G
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: